
%{

#include "context.h"
#include "libformatmanglingdextype_la-type_gram.h"

%}


%option noyywrap
%option yylineno
%option nounput
%option noinput

%x string

%%

"V"                     { return V; }
"Z"                     { return Z; }
"B"                     { return B; }
"S"                     { return S; }
"C"                     { return C; }
"I"                     { return I; }
"J"                     { return J; }
"F"                     { return F; }
"D"                     { return D; }
"L"                     { BEGIN(string); return L; }
"["*                    { type_lval.adeep = strlen(yytext); return ARRAY; }
<string>"/"             { return SLASH; }
<string>"$"             { return DOLLAR; }
<string>";"             { BEGIN(INITIAL); return SEMICOLON; }

<string>[A-Za-z0-9_-]*  { type_lval.text = yytext; return TEXT; }


%%
